if (inc==1) {///Sub 4
        int i=0;
        int j=n-1;
        vector<int>m;
        int koj=0;
        while (i<j) {
            if (koj==0) {
                ans.push_back(i);
                ans.push_back(j);
            }
            else {
                m.push_back(i);
                m.push_back(j);
            }
            koj=(koj+1)%2;
            i++;
            j--;
        }
        if (i==j) {
            ans.push_back(i);
        }
        for (auto ax:m) {
            ans.push_back(ax);
        }
        return ans;
    }